Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex StoreDoc
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Справочник метрик
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database
  1. Справочник API
  2. REST (англ.)
  3. Database
  4. List

Managed Service for MongoDB API, REST: Database.List

Статья создана
Yandex Cloud
Обновлена 7 октября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database

Retrieves the list of StoreDoc Database resources in the specified cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/databases

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the StoreDoc cluster to list databases in.
To get the cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListDatabasesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListDatabasesResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "databases": [
    {
      "name": "string",
      "clusterId": "string",
      "deletionProtection": "boolean"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

databases[]

Database

List of StoreDoc databases.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListDatabasesRequest.pageSize, use the nextPageToken as the value
for the ListDatabasesRequest.pageToken parameter in the next list request. Each subsequent
list request will have its own nextPageToken to continue paging through the results.

DatabaseDatabase

A StoreDoc Database resource. For more information, see the
Developer's Guide.

Field

Description

name

string

Name of the database.

clusterId

string

ID of the StoreDoc cluster that the database belongs to.

deletionProtection

boolean

Deletion Protection inhibits deletion of the database.

Была ли статья полезна?

Предыдущая
Get
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»